## monorail 0.2

=== sharing/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# sharing/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




SOURCES = $(libmonorailsharingplugin_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/monorail
pkglibdir = $(libdir)/monorail
pkgincludedir = $(includedir)/monorail
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnueabi
subdir = sharing
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(sharingpluginsdir)" "$(DESTDIR)$(icondir)" "$(DESTDIR)$(sharingservicesdir)"
sharingpluginsLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(sharingplugins_LTLIBRARIES)
am__DEPENDENCIES_1 =
libmonorailsharingplugin_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_libmonorailsharingplugin_la_OBJECTS = plugin.lo contact-chooser.lo \
	monorail-handler.lo
libmonorailsharingplugin_la_OBJECTS =  \
	$(am_libmonorailsharingplugin_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
#DEP_FILES = ./$(DEPDIR)/contact-chooser.Plo \
#	./$(DEPDIR)/monorail-handler.Plo \
#	./$(DEPDIR)/plugin.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libmonorailsharingplugin_la_SOURCES)
DIST_SOURCES = $(libmonorailsharingplugin_la_SOURCES)
iconDATA_INSTALL = $(INSTALL_DATA)
sharingservicesDATA_INSTALL = $(INSTALL_DATA)
DATA = $(icon_DATA) $(sharingservices_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ABOOK_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0  
ABOOK_LIBS = -pthread -losso-abook-1.0 -lhildon-1 -lhildonfm -lhildonmime -lebook-1.2 -lmcclient -losso -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgnomevfs-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ledataserver-1.2 -lxml2 -lgconf-2 -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
ACLOCAL = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run aclocal-1.8
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run tar
AR = arm-linux-gnueabi-ar
AUTOCONF = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run automake-1.8
AWK = gawk
CC = cc
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -DG_DISABLE_CAST_CHECKS -DG_DEBUG_DISABLE
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ERROR_CFLAGS = -Wall -Wextra -Wno-missing-field-initializers -Wno-unused-parameter -Wdeclaration-after-statement -Wshadow -Wmissing-prototypes -Wmissing-declarations
EXEEXT = 
F77 = 
FFLAGS = 
GETTEXT_PACKAGE = monorail
GIO_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gio-unix-2.0/  
GIO_LIBS = -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
GLIB_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -pthread -lgthread-2.0 -lrt -lglib-2.0  
GREP = /scratchbox/tools/bin/grep
GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_DESKTOP_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libhildondesktop-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gconf/2  
HILDON_DESKTOP_LIBS = -pthread -lhildondesktop-1 -lhildon-1 -lgnomevfs-2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
HILDON_DESKTOP_LIB_DIR = /usr/lib/hildon-desktop
HILDON_HOME_DESKTOP_DIR = /usr/share/applications/hildon-status-menu
HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run makeinfo
NMEDIT = 
OBJEXT = o
PACKAGE = monorail
PACKAGE_BUGREPORT = 
PACKAGE_NAME = monorail
PACKAGE_STRING = monorail 0.1
PACKAGE_TARNAME = monorail
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = arm-linux-gnueabi-ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHARING_CFLAGS = -I/usr/include/libsharing -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
SHARING_LIBS = -lsharing -lconic -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
SHELL = /bin/sh
STRIP = arm-linux-gnueabi-strip
TELEPATHY_GLIB_CFLAGS = -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
TELEPATHY_GLIB_LIBS = -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
UNIQUE_CFLAGS = -DMAEMO_CHANGES -I/usr/include/unique-1.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
UNIQUE_LIBS = -lunique-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
VERSION = 0.1
XSLTPROC = xsltproc
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = arm-linux-gnueabi
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/jonny/fremantle/monorail/monorail/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/monorail
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
servicedir = /usr/share/dbus-1/services
sharedstatedir = ${prefix}/com
sharingpluginsdir = /usr/lib/sharing/plugins
sharingservicesdir = /usr/share/sharing/services
sysconfdir = /etc
target_alias = 
sharingplugins_LTLIBRARIES = libmonorailsharingplugin.la
libmonorailsharingplugin_la_SOURCES = \
	plugin.c \
	contact-chooser.c \
	monorail-handler.c

libmonorailsharingplugin_la_LIBADD = \
	$(SHARING_LIBS) \
	$(ABOOK_LIBS) \
	$(HILDON_LIBS)

AM_CFLAGS = \
	-I$(top_srcdir) \
	-I$(top_srcdir)/src \
	-DG_LOG_DOMAIN=\"monorail-sharing-plugin\" \
	$(ERROR_FLAGS) \
	$(SHARING_CFLAGS) \
	$(ABOOK_CFLAGS) \
	$(HILDON_CFLAGS)

AM_LDFLAGS = \
	-module \
	-avoid-version \
	-export-dynamic

icondir = $(datadir)/icons/hicolor/48x48/apps
icon_DATA = \
	telepathy.png

sharingservices_DATA = \
	monorail.service.xml

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  sharing/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  sharing/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

## monorail 0.1

=== debian/changelog ===
monorail (0.1) fremantle; urgency=low

  * Initial release.

 -- Jonny Lamb <jonny.lamb@collabora.co.uk>  Wed, 13 Jan 2010 17:10:35 +0000

=== debian/control ===
Source: monorail
Priority: optional
Maintainer: Jonny Lamb <jonny.lamb@collabora.co.uk>
Build-Depends: debhelper (>= 5), cdbs, libgtk2.0-dev, libglib2.0-dev,
 libtelepathy-glib-dev, libhildon1-dev, libosso-abook-dev, libunique-dev,
 libhildondesktop1-dev, libsharing-plugin-dev, libhildonfm2-dev
Standards-Version: 3.7.3

Package: monorail
XB-Maemo-Display-Name: File Transfers
Architecture: any
Section: user/network
Depends: ${shlibs:Depends}, ${misc:depends}
Description: Send files to your instant messaging contacts
 File Transfer user interface.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBDREECbAv0GMAAAbvSURBVGje
 7ZlLbFxnFcd/57t3Hva4dhPbKbGVlJSm5IGJaaijlEgVhQ3dIBWJbmDFDgGqEAhF4iEhxKZsKiJY
 dMEipBXqpkJQKbChpCil0FdMkzRxEieO68dkZux53rlzv3NYjBOpaeKM3bSTRc5qZqT55vzv//8/
 j2/gbnz0MLMbvr6jo1gsXg+i//Tp03vuuEQnJyc/9Nny8nI2juPBRqPxcBRFv4jj+G1Vtbm5uX8B
 m9dyvnxckhD54NHe+62tVmtvEATjIrJHRL7gnNt67TsryYjILuBU17UMUC6X90ZR9KskSd4ys7yq
 NszUrkahntib85G+dKZqb8xFamZ25MiR7wCpTn8zXE+iURSRzWavvT958qTbunVrLp/P95XL5f3p
 dPrJVCp86ur5ZhC1vLXUpNQ0LpUTzpWUWD0pJxIIlFJe4kTZt2/f48ALQOu2Arhw4QLbtm0DIJvN
 YmapZrO5x3v/sHNuXETG7713YH8gDifQ8kohUitGJqWmUmiYlCIlVkg5BTvJPekvItbEOaPeUlqJ
 Z2hoaD/QB9RvuwcKhcKgiHwlDMMnwzB8VET6MetzTgInEHuYranNVE0WG0qigl+RVSAQAIHroRb/
 nkbrRXrCr7Gx92kchqE8cl9o/UFS+e2hQ988ePDg31assWoEa8i/d9euXd8eHx//gxP5XGIMxGrZ
 Wgt3vuJ5bd7z7wXPpapJpQWYIA5SAmknpJyQCgTsMuXoN0BEy09Sa71Eb+rT9ISbyYiTe7O4er1x
 +vnnnz/eCYC1MLAJGKlUKm+VY2OyBKUmVFrgBJJGhepSkWxPD5l0mp5sD5lMhnQYImKIgUjCldoz
 VOOjiLgV4yuQ0J95nJHc1/nSpx5h8uTkHycmJr4LVG6VlFsDgDoQlUql/yCOpVaASsA9mYD+bApp
 1hgbTrNrg9DbLFKamWLmvRPMnP0fpblLxNUlWtEZav5lnHPXHl0bSIpy85+cKv6YcnORocHhBx97
 7LHNH9nEr/zpUff5nQMbg0Dc7HzkfvjL14f+8fcX3rx/285H8iVHskJh4ByF9+fZ/9UvM/bQ/deI
 LZZrFMs15otlFktFTi3+mlgzSNgizCqpHiWdCZCgbXyVmKnlo+wceGpscHBwC3Bm3QB++v3tPSP3
 ZZ8W4Xuqlhq5L8PhZw+E8EqIe50dG60tUGmne2XTAMvFB6hWh8lk0pgZ/b1pBnozfGZkEBEhig9T
 qs6xuHyecj3PYvkCS7X3KTdnKTYv0/Rl3ij91Ua3P5HbsWPH/UAGaK4LwNnp2nh/X+pHpmy82ikD
 EUDBahbIB/0z0lenp3WUM2dy7N49hpmh+uGasSG3hY25LSCCqifRmMQ3SXzMUm2eQuWy5JcuMzEx
 8QRw+PoTarUauVzulgDS5UrSD+ZM9Ual4Ibm3xC8TjUa5b0zPWx/8IGOJstAUgRhikwIfdkhtgyN
 IYKN7eYb9Xo9TpLkVVV9M5VKvXLx4sVXc7ncYicMOAHwhol0Us3ABJWA0dRfmK7kmLmcY9PwwLrG
 LTOTdDp9daY6EATBAe/9D/L5/O+AnwOFW0rIzFDfbjCdTei2Qo1nJPgz0/MbmF8YXfdM1dvj+OxD
 26+xqKrR9PT0uetzvikA54QwGxCEbs0JBDTY3XcIcetZTgyH8u6VbzEz08vo6GZUFe99/M4778wC
 tbXNQuvckLwPwa9vqnWS0J+eotLYi6qiqpYkSXz48OFpIOoIgBlYYnRjwVMx8B4vehWA1Ov1uXw+
 v3C9IVcF4L0iH8/OcwsG2v4jNLz3mBlLS0vnaXPaGQDMMN8dBkwU9Yr3HlXFzDhx4sSxlR1B73wJ
 YZgaqoaudMPjx49PcQNXrcqAJop2Q0IY3itePd63c37uuefedc4lel17Xx2AVxTXHQ68Ym0Ds7S0
 9BYQqGrUMQNmrHhAu5C+oonifRtAoVA4tdLSm51LSA1LFLXuSEi9oaqmqjI1NfX2CgBdEwM+aW9S
 XahD7e6rXlSVY8eOvXd9B+6wCinWBQYUj6mCGc1ms7KwsBABjbVtZGYrDFh3qpAaXpVqtTo1Ozvb
 BJbXxoB2jwHDMGsbuF6vzy0uLjaBeM0MaJdMbHgzUcGMcrk8XygUlte8UpqBJoZ2QUKBiOQXZ/Lv
 zkwWs2l39mby6aiMdsXETmgULkz+7JmfvAicE5HmzdbT1TeybklIYLg/XQCOAS0zW7+EfDeqkAi+
 pQKUgPfXd7GlbQacdkFCYmjS2YNbdaW0RFEnn7yCBAnMgo8EYK7USi4uNK8M94fZzu5VbiMDZuGz
 Ly+c6OT2XFYBNgEcGN2QGvqkSbhSTZJGbK8B/72VB1ZLbSPwEGv7D+F2hQB54IZb2N24G3fjbtw5
 8X9WsAYmZBwzdwAAAABJRU5ErkJggg==

Package: monorail-dbg
Section: debug
Priority: extra
Architecture: any
Depends: monorail (= ${binary:Version})
Description: File transfer user interface
 File Transfer user interface.
 .
 This package contains the debug symbols.

## monorail 0.2

=== debian/changelog ===
monorail (0.2) fremantle; urgency=low

  * New release with several changes. See the git log for details.

 -- Jonny Lamb <jonny.lamb@collabora.co.uk>  Fri, 25 Jun 2010 00:28:48 +0100

## monorail 0.3

=== debian/changelog ===
monorail (0.3) fremantle; urgency=low

  * New release with lots of changes. See git.

 -- Jonny Lamb <jonny.lamb@collabora.co.uk>  Fri, 30 Jul 2010 12:23:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Architecture: any
 Section: user/network
 Depends: ${shlibs:Depends}, ${misc:depends}
+XSBC-Bugtracker: mailto:jonny.lamb@collabora.co.uk
 Description: Send files to your instant messaging contacts
  File Transfer user interface.
 XB-Maemo-Icon-26:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_SOURCEDIR=debian/tmp
DEB_DESTDIR=$(CURDIR)/debian/tmp
DEB_DH_MAKESHLIBS_ARGS := --exclude=plugin --exclude=applet
DEB_DH_STRIP_ARGS := --dbg-package=monorail-dbg
DEB_CONFIGURE_EXTRA_FLAGS += --disable-Werror

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
    DEB_CONFIGURE_EXTRA_FLAGS += --enable-debug
else
    DEB_CONFIGURE_EXTRA_FLAGS += --disable-cast-checks
endif

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
            sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
                    then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
                                else echo 1; fi)
    endif
    NJOBS := -j$(PARALLEL_JOBS)
endif
DEB_MAKE_ENVVARS := MAKEFLAGS=$(NJOBS)

debian/stamp-autotools-files:
	autoreconf -v --install
	touch debian/stamp-autotools-files

## monorail 0.4

=== sharing/Makefile ===
--- 
+++ 
@@ -81,14 +81,14 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ABOOK_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0  
 ABOOK_LIBS = -pthread -losso-abook-1.0 -lhildon-1 -lhildonfm -lhildonmime -lebook-1.2 -lmcclient -losso -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgnomevfs-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ledataserver-1.2 -lxml2 -lgconf-2 -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
-ACLOCAL = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run aclocal-1.8
+ACLOCAL = ${SHELL} /home/alban/10.2010.16-8/monorail/0.4/monorail/missing --run aclocal-1.8
 AMDEP_FALSE = 
 AMDEP_TRUE = #
-AMTAR = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run tar
-AR = arm-linux-gnueabi-ar
-AUTOCONF = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run automake-1.8
+AMTAR = ${SHELL} /home/alban/10.2010.16-8/monorail/0.4/monorail/missing --run tar
+AR = ar
+AUTOCONF = ${SHELL} /home/alban/10.2010.16-8/monorail/0.4/monorail/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/alban/10.2010.16-8/monorail/0.4/monorail/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/alban/10.2010.16-8/monorail/0.4/monorail/missing --run automake-1.8
 AWK = gawk
 CC = cc
 CCDEPMODE = depmode=none
@@ -137,31 +137,31 @@
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/jonny/fremantle/monorail/monorail/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/alban/10.2010.16-8/monorail/0.4/monorail/missing --run makeinfo
 NMEDIT = 
 OBJEXT = o
 PACKAGE = monorail
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = monorail
-PACKAGE_STRING = monorail 0.1
+PACKAGE_STRING = monorail 0.4
 PACKAGE_TARNAME = monorail
-PACKAGE_VERSION = 0.1
+PACKAGE_VERSION = 0.4
 PATH_SEPARATOR = :
 PKG_CONFIG = /scratchbox/tools/bin/pkg-config
-RANLIB = arm-linux-gnueabi-ranlib
+RANLIB = ranlib
 SED = /scratchbox/tools/bin/sed
 SET_MAKE = 
 SHARING_CFLAGS = -I/usr/include/libsharing -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
 SHARING_LIBS = -lsharing -lconic -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 SHELL = /bin/sh
-STRIP = arm-linux-gnueabi-strip
+STRIP = strip
 TELEPATHY_GLIB_CFLAGS = -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
 TELEPATHY_GLIB_LIBS = -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
 UNIQUE_CFLAGS = -DMAEMO_CHANGES -I/usr/include/unique-1.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
 UNIQUE_LIBS = -lunique-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
-VERSION = 0.1
+VERSION = 0.4
 XSLTPROC = xsltproc
-ac_ct_CC = 
+ac_ct_CC = cc
 ac_ct_CXX = 
 ac_ct_F77 = 
 am__fastdepCC_FALSE = 
@@ -172,10 +172,10 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = arm-unknown-linux-gnu
-build_alias = 
+build = arm-unknown-linux-gnueabi
+build_alias = arm-linux-gnueabi
 build_cpu = arm
-build_os = linux-gnu
+build_os = linux-gnueabi
 build_vendor = unknown
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
@@ -183,14 +183,14 @@
 dvidir = ${docdir}
 exec_prefix = ${prefix}
 host = arm-unknown-linux-gnueabi
-host_alias = arm-linux-gnueabi
+host_alias = 
 host_cpu = arm
 host_os = linux-gnueabi
 host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${prefix}/share/info
-install_sh = /home/jonny/fremantle/monorail/monorail/install-sh
+install_sh = /home/alban/10.2010.16-8/monorail/0.4/monorail/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${prefix}/lib/monorail
 localedir = ${datarootdir}/locale

=== debian/changelog ===
monorail (0.4) fremantle; urgency=low

  * New release with fixes for integration with Conboy and contacts-merger. See git.

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Tue, 10 Aug 2010 16:40:16 +0100
